#!/bin/sh
# -----------------------------------------------------------------------------
# /usr/local/bin/forbiddendom.sh   -   fli4l 2.1.10                       0.7.5
#
# Creation:     25.09.2003  jml
# Last Update:  14.06.2005  jml
#
# Copyright (c) 2003 - 2005 Jrgen Mackiol <fli4l@juemac.de>
# -----------------------------------------------------------------------------
# remove old forbidden entrys from /etc/dnsmasq_forbiddendom.conf and add new
# forbidden entrys to /etc/dnsmasq_forbiddendom.conf online
# -----------------------------------------------------------------------------
#
. /var/run/forbiddendom.cfg

domconf="$FORBIDDENDOM_DIR/forbiddendom.conf"
dnsmasq_domconf="/etc/dnsmasq_forbiddendom.conf"
dnsmasq_pid=`cat /var/run/dnsmasq.pid`

dtou -s $domconf

if [ -f $dnsmasq_domconf ]
   then
       > $dnsmasq_domconf
       sed 's/^\(.*\)$/address=\/\1\/127.0.0.1/' $domconf >> $dnsmasq_domconf
       chown dns:dns $dnsmasq_domconf
       chmod 644 $dnsmasq_domconf
       kill $dnsmasq_pid
       sleep 2
       /usr/sbin/dnsmasq
       colecho 'new forbidden domains added to dnsmasq.conf' gn
    else
       colecho 'ups, NO /etc/dnsmasq_forbiddendom.conf available' rd
fi