#!/bin/sh
#------------------------------------------------------------------------------
# forbiddendom_del.cgi   -   fli4l 2.1.10                                 0.7.5
#
# Creation:     31.12.2003  hk
# Last Update:  14.06.2005  jml
#
# Copyright (c) 2003 - 2005 Holger Koch & Jrgen Mackiol
#------------------------------------------------------------------------------

. /var/run/forbiddendom.cfg

domconf="$FORBIDDENDOM_DIR/forbiddendom.conf"
dnsmasq_domconf="/etc/dnsmasq_forbiddendom.conf"
dnsmasq_pid=`cat /var/run/dnsmasq.pid`

echo "Content-Type: text/html; charset=iso-8859-1"
echo "Cache-control: no-store" # HTTP/1.1 (or no-cache?)
echo "Pragma: no-cache"        # HTTP/1.0
echo "Expires: `date -Ru`"     # Expires now!
echo ""
echo "<html><head>"
echo "<LINK REL=STYLESHEET TYPE="text/css" HREF="forbiddendom.css">"
echo "<title>Forbidden Domains (Delete)</title>"
echo "</head><body>"
echo "<h1><b><u>Forbidden Domains</u></b></h1>"
read domain
domain=`echo "$domain" | cut -f 1 -d"&"`
domain=`echo "$domain" | cut -f 2 -d"="`
grep -v "^$domain" $domconf > /$FORBIDDENDOM_DIR/forbiddendom.del
mv /$FORBIDDENDOM_DIR/forbiddendom.del $domconf

if [ -f $dnsmasq_domconf ]
   then
       rm $dnsmasq_domconf
       sed 's/^\(.*\)$/address=\/\1\/127.0.0.1/' $domconf >> $dnsmasq_domconf
       chown dns:dns $dnsmasq_domconf
       chmod 644 $dnsmasq_domconf
       kill $dnsmasq_pid
       sleep 2
       /usr/sbin/dnsmasq
fi
echo "<h2>Domain&nbsp; <span style="color:#FF0000"><u>$domain</u></span>&nbsp; deleted</h2>"
echo "<h3><a href="main_forbidden-domains.cgi">Done</a></h3>"
echo "</body></html>"